Skip to main content
GET
Retrieve an app's feature flags

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier of the app associated with the feature flag.

flagName
string
required

The name of the feature flag to retrieve.

Response

successful operation

appId
integer<int32>
required

The ID of the app

defaultState
enum<string>
required

The flag state for any portal that doesn't have an override value

Available options:
ABSENT,
OFF,
ON
flagName
string
required

The name of the flag

overrideState
enum<string>

An optional flag value that overrides all others for this flag name and app, including portal-level values

Available options:
ABSENT,
OFF,
ON
Last modified on September 9, 2026